Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::In_UB_String_Argument_T< S > Class Template Reference

Template class for IN unbounded (w)string argument. More...

`#include <UB_String_Argument_T.h>`

Inheritance diagram for TAO::In_UB_String_Argument_T< S >:

[legend]
Collaboration diagram for TAO::In_UB_String_Argument_T< S >:

[legend]
List of all members.

## Public Methods

| In_UB_String_Argument_T (const S *x)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual void | interceptor_param (Dynamic::Parameter &)
const S * | arg (void) const

## Private Attributes

const S * | x_

## Detailed Description

### template<typename S>
class TAO::In_UB_String_Argument_T< S >

Template class for IN unbounded (w)string argument.

## Constructor & Destructor Documentation

template<typename S>
ACE_INLINE TAO::In_UB_String_Argument_T< S >::In_UB_String_Argument_T | ( | const S * | x | ) |

## Member Function Documentation

template<typename S>
ACE_INLINE const S * TAO::In_UB_String_Argument_T< S >::arg | ( | void |  | ) | const

template<typename S>
void TAO::In_UB_String_Argument_T< S >::interceptor_param | ( | Dynamic::Parameter & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S>
CORBA::Boolean TAO::In_UB_String_Argument_T< S >::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S>
const S* TAO::In_UB_String_Argument_T< S >::x_`[private]`

The documentation for this class was generated from the following files:

- UB_String_Argument_T.h
- UB_String_Argument_T.cpp
- UB_String_Argument_T.inl